/******************************************************************************
*******************************************************************************
**                                                                           **
**      C Swing - A graphical file and directory maintenance utility         **
**                                                                           **
*******************************************************************************
**                                                                           **
**      Original C coding by: S. J. Brown                                    **
**                                                                           **
**      Modifications by many others; see the documentation for a list       **
**                                                                           **
**      Copyright 1994, Harry Flowers and Foteos Macrides                    **
**                                                                           **
**      Terms of Copyright:  This software may be freely distributed         **
**          and used by anyone, providing the distributor provides it        **
**          free of charge or at a price which only covers distribution      **
**          costs.  It may not be sold.  Note that versions prior to         **
**          V3.7.4 were public domain, and are not subject to these terms.   **
**                                                                           **
**      Disclaimer: No warranties as to the use or reliability of this       **
**          software are given by the authors or distributors.  Use at       **
**          your own risk.                                                   **
**                                                                           **
*******************************************************************************
******************************************************************************/
 
/*
**  swing_19.c
*/
#include <stdio.h>
#include <string.h>
#include <ssdef.h>
#include <rms.h>
#include <starlet.h>
#include "more_descrip.h"
#include "swing.h"
#include "swing_refs.h"

static char bufadr[255];

/*
**  get the error ident, facility and severity into bufadr for error code 
**  msgid
*/
char *error_text(ULONG msgid)
{
    ULONG  status;
    ULONG  flags;
    USHORT msglen;


    msglen = 0;
    flags = 2+4+8; /* id + fac + sev */
    bufadr[0] = 0;

    status = sys$getmsg(msgid,&msglen,DSCA1(bufadr),flags,0);
    if((status & 1) != 1)
        msglen = 0;

    bufadr[msglen] = 0;
    return(bufadr);
}

char *full_error_text(ULONG msgid)
{
    ULONG  status;
    ULONG  flags;
    USHORT msglen;


    msglen = 0;
    flags = 1+2+4+8; /* text + id + fac + sev */
    bufadr[0] = 0;

    status = sys$getmsg(msgid,&msglen,DSCA1(bufadr),flags,0);
    if((status & 1) != 1)
        msglen = 0;

    bufadr[msglen] = 0;
    return(bufadr);
}
